@import url('https://fonts.googleapis.com/css?family=Open+Sans:400,600&display=swap');
@import url('media.css');
html,
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    height: 100%;
    width: 100%;
}

* {
    font-family: 'Open Sans', sans-serif;
}

#loginForm label {
    color: #234698;
}

input[type^="submit"].btn-submit {
    background-color: #234698;
    color: #ffffff;
    border-radius: 10px;
}

th.rounded-top {
    border-top-left-radius: 1rem!important;
    border-top-right-radius: 1rem!important;
}

th.table-info {
    background-color: #254694;
}

th.table-primary,
tr.bg-primary {
    background-color: #2396c0;
}

.btn-primary,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
    background-color: #2396c0 !important;
    border-color: #2396c0 !important;
}

tr.bg-primary {
    background-color: rgba(35, 150, 192, 0.4) !important;
}

th.table-success {
    background-color: #2b8f17;
}

td.table-danger {
    background-color: #d92a32;
}

td.table-dark {
    background-color: #1b1b1b;
}

td.table-muted {
    background-color: #DADADA;
}

td.vertical-middle {
    vertical-align: middle;
}

.table-bordered td,
.table-bordered th {
    border: 1px solid #999999;
}

th.border-0 {
    border-width: 0px !important;
}

.table-bordered {
    border: 0px solid #dee2e6 !important;
}

.bg-fareblue {
    background-color: #244595;
}

.bg-img {
    background-image: url(../img/login_bg_img.png);
    background-color: #EAF2F6;
    background-repeat: no-repeat;
    background-position: top center;
    background-attachment: scroll;
    background-size: cover;
    width: 100%;
    height: 100%;
}

.rounded-20 {
    border-radius: 20px;
}

.rounded-10 {
    border-radius: 10px;
}

.w-60 {
    width: 60%;
}

hr.custom-hr {
    margin-left: -15px;
    margin-right: -15px;
    border-color: #999999;
}

tr.whispace-nowrap th,
tr.whispace-nowrap td {
    white-space: nowrap;
}

ul.nav li.nav-item .text-muted {
    color: #97979b !important;
}

ul.nav li.nav-item:not(:nth-of-type(1)) {
    border-top: 1px solid;
}

ul.nav li.nav-item span {
    font-size: 14px;
    font-weight: 500;
}


/* .nav-link {
    width: 80%;
    margin-left: auto;
} */

.nav-link span {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.nav-link span img {
    margin-right: .6rem;
}

.text-blue {
    color: #243f86;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 600;
}

.form-control {
    border: 1px solid #000;
    border-radius: 0px;
}

.font-10px {
    font-size: 10px;
}

.font-13px {
    font-size: 13px;
}

.dollar:after {
    content: '$';
    position: absolute;
    right: 0;
    margin-right: 10px;
}

.bg-gradiant-blue {
    background-image: linear-gradient(to right, #2ea6ae, #014d71);
}

.bg-gradiant-purple {
    background-image: linear-gradient(to right, #7616ae, #ad2ecd);
}

.bg-gradiant-orange {
    background-image: linear-gradient(to right, #d66731, #cd882e);
}

.bg-gradiant-red {
    background-image: linear-gradient(to right, #d92a32, #a71e38);
}

.bg-gradiant-violet {
    background-image: linear-gradient(to right, #4c16ae, #2e62cd);
}

.bg-gradiant-green {
    background-image: linear-gradient(to right, #2ca25e, #037408);
}

[type^=submit].btn.btn-success,
[type^=button].btn.btn-danger {
    width: 100px;
}

.btn.btn-success {
    background-color: #009163 !important;
    border-color: #009163 !important;
    color: #fff !important;
    font-size: 15px;
    font-weight: bold;
    /* width: 100px; */
    padding: .5rem 1.5rem!important;
}

.btn.btn-danger {
    background-color: #d92a32 !important;
    border-color: #d92a32 !important;
    color: #fff !important;
    font-size: 15px;
    font-weight: bold;
    /* width: 100px; */
    padding: .5rem 1.5rem!important;
}

.btn.btn-search {
    background-color: #de7426 !important;
    border-color: #de7426 !important;
    color: #fff !important;
    font-size: 15px;
    font-weight: bold;
    padding: .5rem 1.5rem!important;
}

.btn.btn-purple {
    background-color: #7d26cd !important;
    border-color: #7d26cd !important;
    color: #fff !important;
    font-size: 15px;
    font-weight: bold;
    padding: .5rem 2rem!important;
}

.btn.btn-primary {
    background-color: #2396c0 !important;
    border-color: #2396c0 !important;
    color: #fff !important;
    font-size: 15px;
    font-weight: bold;
    padding: .5rem 1.5rem!important;
}

.flex-1 {
    flex: 1;
}

.flex-1-0-auto {
    flex: 1 0 auto;
}

table .custom-checkbox .custom-control-label::before {
    border-radius: .2rem !important;
}


/* table .custom-checkbox .custom-control-input:checked~.custom-control-label::after {
    content: "7";
    background: no-repeat 50%/50% 50%;
    transform: rotate(-96deg) scalex(-1);
    font-size: 13px;
    background-image: none;
    color: #007bff;
    position: absolute;
    left: 0;
    top: 0px;
    width: 100% !important;
    height: 100% !important;
} */


/* 
table .custom-control-input:checked~.custom-control-label::before {
    color: #fff;
    border-color: #007bff;
    background-color: #00000000;
} */


/* 
table .custom-control-label::before {
    left: 0 !important;
    top: 0 !important;
} */


/* 
table .custom-control-label::after {
    position: absolute;
    top: .20rem;
    left: -1.2rem;
    width: auto !important;
    height: auto !important;
}
 */


/* table .custom-control-label {
    width: 1rem !important;
    height: 1rem !important;
} */

.r-0 {
    right: 0;
}

.b-0 {
    bottom: 0;
}

.dataTables_wrapper .row:nth-child(3) .col-md-7 {
    width: 100%;
    text-align: center;
    float: none;
    min-width: 100%;
}

.dataTables_wrapper .row:nth-child(3) .col-md-7 .dataTables_paginate.paging_full_numbers {
    background: #E7ECF2;
    margin-left: 10%;
    margin-right: 10%;
    display: flex;
    justify-content: center;
    height: 40px;
    width: 80%;
    border-radius: 40px;
    align-items: center;
    margin-bottom: 20px;
}

.pagination,
.pagination a {
    color: #243f86 !important;
    /* font-family: OpenSans-Regular; */
    background-color: rgba(0, 0, 0, 0) !important;
    /* font-size: 20px !important; */
    font-weight: 600 !important;
    border: 0px !important;
    outline: unset !important;
    box-shadow: unset !important;
    margin: 0 !important;
}

.page-item.active .page-link {
    color: #000 !important;
}

.custom-width .custom-control-label::after,
.custom-width .custom-control-label::before {
    width: 1.5rem !important;
    height: 1.5rem !important;
}

.custom-width .custom-control-input:not(:checked)~.custom-control-label::before {
    border-color: #2E2E36 !important;
}

.dataTables_length label,
.dataTables_filter label {
    color: #747474 !important;
    font-family: OpenSans-Regular;
    font-size: 20px !important;
}

.dataTables_length label {
    display: inline-flex !important;
    align-items: center !important;
    color: black !important;
    text-transform: capitalize;
}

.dataTables_length .custom-select {
    margin: 0px 8px;
    border-radius: 16px !important;
    border: unset !important;
    box-shadow: 0px 2px 4px 0px #000;
    font-size: 18px;
    font-weight: bold;
}

.dataTables_length .custom-select:focus {
    box-shadow: 0px 2px 4px 0px #000 !important;
}

label {
    display: inline-flex !important;
    align-items: center !important;
    text-align: left;
    white-space: nowrap;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.disabled,
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
    cursor: not-allowed !important;
}

.addcard {
    display: none!important;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

table tbody tr td {
    vertical-align: middle !important;
}

.custom_input:focus {
    box-shadow: unset !important;
}

.form-control:focus {
    box-shadow: unset !important;
}

#snackbar {
    left: unset !important;
    right: 0 !important;
}


/*  */

.date-picker {
    position: relative;
    z-index: 9;
}

.datepicker table tr td span {
    height: 40px !important;
    line-height: 40px !important;
}

.datepicker-switch {
    background: #244595;
    color: white;
}

.datepicker thead tr:first-child th:hover,
.datepicker tfoot tr th:hover {
    color: black;
}

th.prev,
th.next {
    font-size: 17px;
}

.form-control:focus {
    box-shadow: unset !important;
}

.position {
    position: relative;
    bottom: 0;
}


/* .secondselect {
    display: none;
} */

@media (min-width:768px) and (max-width:1024px) {
    .dataTables_length label,
    .dataTables_filter label,
    .pagination {
        font-size: 20px !important;
    }
    .dataTables_length .custom-select {
        font-size: 20px !important;
    }
}
@media print {
    .table-responsive-lg {
        overflow-x: visible;
    }
    a[href]:after {
    content: none !important;
  }
    #sidebar {
        width: 0;
        display: none !important;
        visibility: hidden;
    }
    #content {
        margin: none;
        width: 100%;
    }
    .text-md-right {
        width: 50%;
        text-align: right !important;
    }
    .text-md-left {
        width: 50%;
        text-align: left !important;
    }
    .navbar {
        display: none !important;
    }
    /*@page {
        size: portrait;
        width: 100%;
        max-height: 100%;
        max-width: 100%;
        transform: scale(.7);
           margin: 0mm;
    }*/
    @page :footer {
        display: none
    }

    @page :header {
        display: none
    }
    @page :title {
        display: none
    }
     .footer,
    #non-printable {
        display: none !important;
    }
    #printable {
        display: block;
    }
}

.colorChange {
    background-color: #FFFF00;
}